/* time.h: Time management. */

#ifndef _TIME_H
#define _TIME_H

#include <bits/clockid.h>
#include <bits/timespec.h>

#ifdef __cplusplus
extern "C"
{
#endif

    /* Get the current value of a system clock. */
    int clock_gettime(clockid_t id, struct timespec* ts);

    /* Get the current wall clock time. */
    time_t time(time_t* tp);

#ifdef __cplusplus
}
#endif

#endif
